* * *

Author Topic: Cannot install BGRA Controls Raspberry PI  (Read 858 times)

andrew Bubble

  • New member
  • *
  • Posts: 31
Cannot install BGRA Controls Raspberry PI
« on: April 30, 2017, 12:11:26 pm »
Hi All

I am trying to install bgraControls V4.3.1.2 into my Lazarus on a Raspberry Pi 3. The Lazarus is V 1.6 and the FPC is V 3.0.0

I am using Debian Jessie Pixel which I downloaded and installed as of 03/03/2017.

When I try to install the package I get the following error

Build IDE: Exit code 512, Errors 1
/usr/bin/ld: cannot find -IGL

I cannot find any reference to this error anywhere on the net, I assume this component library will work on the Pi.

Regards Andrew

andrew Bubble

  • New member
  • *
  • Posts: 31
Re: Cannot install BGRA Controls Raspberry PI
« Reply #1 on: April 30, 2017, 12:41:58 pm »
Hi All

Just an update, I have removed the bgra Controls from the Lazarus packages and did a rebuild.

I now get the original error again so I cannot rebuild Lazarus.

Regards andrew

lainz

  • Hero Member
  • *****
  • Posts: 1837
  • Nace una flor, todos los días sale el sol...
    • BGRABitmap
Re: Cannot install BGRA Controls Raspberry PI
« Reply #2 on: April 30, 2017, 05:07:15 pm »
That seems not just a BGRA Controls installation problem, but a Lazarus rebuild problem.

http://stackoverflow.com/questions/16710047/usr-bin-ld-cannot-find-lnameofthelibrary

And about bgracontrols I recommend you to download the master from GitHub to use under Linux and Mac, there's a fix to an unit that was preventing the installation. But in this case you have a different problem.

andrew Bubble

  • New member
  • *
  • Posts: 31
Re: Cannot install BGRA Controls Raspberry PI
« Reply #3 on: April 30, 2017, 07:01:20 pm »
Hi Lainz

Thanks for the info, I had a SD card backup of my PI installation and I restored this to another SD card.

This was the Lazarus before the installation of any packages. I installed EC-C (Eye Candy Controls), this installed as before with no errors and Lazarus re builds with no problems.

After Lazarus re starts The EC_C component tab is now available with all its components, I reloaded a previous program that used these components and the program re compiled also with no problems.

The error only comes when I try to install the BGRA controls and once I do I can no longer re build Lazarus.

Regards Andrew

 


lainz

  • Hero Member
  • *****
  • Posts: 1837
  • Nace una flor, todos los días sale el sol...
    • BGRABitmap
Re: Cannot install BGRA Controls Raspberry PI
« Reply #4 on: April 30, 2017, 07:16:40 pm »
Hi Lainz

Thanks for the info, I had a SD card backup of my PI installation and I restored this to another SD card.

This was the Lazarus before the installation of any packages. I installed EC-C (Eye Candy Controls), this installed as before with no errors and Lazarus re builds with no problems.

After Lazarus re starts The EC_C component tab is now available with all its components, I reloaded a previous program that used these components and the program re compiled also with no problems.

The error only comes when I try to install the BGRA controls and once I do I can no longer re build Lazarus.

Regards Andrew

OK got it. Well you sure compiled bgrabitmap first, so I never tested it on a Pi, but know of people that used these controls on a Pi, so it should be possible to install them.

If you want to try again maybe install Online Package Manager, people that had trouble installing BGRAControls in the past succeeded with that tool.

andrew Bubble

  • New member
  • *
  • Posts: 31
Re: Cannot install BGRA Controls Raspberry PI
« Reply #5 on: April 30, 2017, 07:25:31 pm »
Hi Thanks for getting back to me so quickly.

I am just making a backup of the SD card now as I don't want to have to reinstall all the other software again.

I did compile the bgrabitmap first, I had a warning stating I had to compile this first so I did.

I think this may be an OpenGL issue not sure, when I have backed the SD card I will then install the Online Package Manager as you suggest.

Regards Andrew

andrew Bubble

  • New member
  • *
  • Posts: 31
Re: Cannot install BGRA Controls Raspberry PI
« Reply #6 on: April 30, 2017, 08:12:07 pm »
Hi Lainz

I am not having much luck today, I downloaded the Online Package Manager V1.0 as I am using Lazarus V1.6.

When I tried to install I get the following error.

opkman_VirtualTrees.pas Error =: Unknown identifier "EBX", looking at the file there is a function HasMMX which is I think X86 I recognise the assembler instructions.

I downloaded the package manager from here http://wiki.freepascal.org/Online_Package_Manager#Download

Regards Andrew

GetMem

  • Hero Member
  • *****
  • Posts: 2038
Re: Cannot install BGRA Controls Raspberry PI
« Reply #7 on: May 01, 2017, 07:07:21 am »
Hi andrew Bubble,

For Lazarus 1.6 you should download OPM from here: https://drive.google.com/open?id=0B9Me_c5onmWoLUJmYUNwc0ItVkk

Quote
opkman_VirtualTrees.pas Error =: Unknown identifier "EBX", looking at the file there is a function HasMMX which is I think X86 I recognise the assembler instructions.
I downloaded the package manager from here http://wiki.freepascal.org/Online_Package_Manager#Download
This error is related to VirtualStringTree not OPM itself, however you can try the following:
Comment out function HasMMX(opkman_VirtualTrees.pas) entirely, then go to procedure InitializeGlobalStructures and replace
Code: Pascal  [Select]
  1. MMXAvailable := HasMMX;  
with
Code: Pascal  [Select]
  1. MMXAvailable := False;

andrew Bubble

  • New member
  • *
  • Posts: 31
Re: Cannot install BGRA Controls Raspberry PI
« Reply #8 on: May 01, 2017, 10:15:17 am »
Hi GetMem

I have already tried that and set the return value to false however further on down the file there is another function that also uses assembler instructions.

This function is called TBaseVirtualTree.PackArray on line 13220.

Regards Andrew

GetMem

  • Hero Member
  • *****
  • Posts: 2038
Re: Cannot install BGRA Controls Raspberry PI
« Reply #9 on: May 01, 2017, 10:36:47 am »
Quote
This function is called TBaseVirtualTree.PackArray on line 13220.
Yes, apparently there is more then one issue with VST under Debian Jessie, so installing OPM is a dead end. I reread your initial post, the error: "/usr/bin/ld: cannot find -IGL" can be fixed(according to google) by installing libgl-dev package. Please try it, let's hope it helps.

andrew Bubble

  • New member
  • *
  • Posts: 31
Re: Cannot install BGRA Controls Raspberry PI
« Reply #10 on: May 01, 2017, 10:44:01 am »
Hi GetMem

Thanks for the info I did a search on the net for the original issue but could not find anything hence my post.

It is a pity about the OPM, I installed this on my windows PC as I have Lazarus installed there as well and it seems really good and useful for installing packages.

I may not fully understand but looking at the assembler code this has a lot of references to MMX instructions which surely refer to outdated CPU's.

Are these relevant any more considering the speed of modern processors.

Regards Andrew

GetMem

  • Hero Member
  • *****
  • Posts: 2038
Re: Cannot install BGRA Controls Raspberry PI
« Reply #11 on: May 01, 2017, 11:03:04 am »
Quote
Thanks for the info I did a search on the net for the original issue but could not find anything hence my post.
Please take a look at this: http://stackoverflow.com/questions/15355837/installing-qt-on-linux-cannot-find-lgl

Quote
It is a pity about the OPM, I installed this on my windows PC as I have Lazarus installed there as well and it seems really good and useful for installing packages.
I may not fully understand but looking at the assembler code this has a lot of references to MMX instructions which surely refer to outdated CPU's.
Are these relevant any more considering the speed of modern processors.
I will try to find a solution. First I have to install Debian Jessie Pixel to a virtual machine because I don't own a Raspberry Pi 3. I will also send a mail to Luiz Américo, he ported VirtualStringTree to Lazarus.

andrew Bubble

  • New member
  • *
  • Posts: 31
Re: Cannot install BGRA Controls Raspberry PI
« Reply #12 on: May 01, 2017, 11:26:05 am »
Hi GetMem

Great news, I have installed the libgl-dev packages as you suggested and I now have the BGRAControls installed.

Thanks again for your help, I used to use Delphi a long time ago from 1 through to 5 so am fairly familiar with Pascal and objects and before that Borland Turbo Pascal.

Regards Andrew

 

GetMem

  • Hero Member
  • *****
  • Posts: 2038
Re: Cannot install BGRA Controls Raspberry PI
« Reply #13 on: May 01, 2017, 11:47:43 am »
Hi Andrew Bubble,

Quote
Great news, I have installed the libgl-dev packages as you suggested and I now have the BGRAControls installed.
Great. I'm glad it's working. I also managed to install Debian Jessie Pixel under VM(screenshot), so the bug hunt can continue.

Quote
Thanks again for your help, I used to use Delphi a long time ago from 1 through to 5 so am fairly familiar with Pascal and objects and before that Borland Turbo Pascal.
You're welcome. You gonna like Lazarus, it's a great IDE.

regards,
GetMem

andrew Bubble

  • New member
  • *
  • Posts: 31
Re: Cannot install BGRA Controls Raspberry PI
« Reply #14 on: May 01, 2017, 12:14:14 pm »
Hi GetMem

One question How did you install the Debian Jessie in VM. I have this on my desktop PC so this could prove useful.

Regards Andrew

 

Recent

Get Lazarus at SourceForge.net. Fast, secure and Free Open Source software downloads Open Hub project report for Lazarus